Bug 803853 - [abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/iwlwifi/iwl-agn-sta.c:1145 iwlagn_send_sta_key+0x115/0x240 [iwlwifi]()
[abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wirel...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:d42de6f9ac6d8c59312535e0124...
:
: 803850 803852 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 14:44 EDT by jan p. springer
Modified: 2012-03-21 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 02:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jan p. springer 2012-03-15 14:44:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.9-2.fc16.x86_64 root=UUID=e7495b4a-4b58-4d0d-88c0-89cfe6fc124d ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=C
kernel:         3.2.9-2.fc16.x86_64
reason:         WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/iwlwifi/iwl-agn-sta.c:1145 iwlagn_send_sta_key+0x115/0x240 [iwlwifi]()
time:           Thu Mar 15 17:41:49 2012

backtrace:
:WARNING: at /builddir/build/BUILD/kernel-3.2.fc16/compat-wireless-3.3-rc1-2/drivers/net/wireless/iwlwifi/iwl-agn-sta.c:1145 iwlagn_send_sta_key+0x115/0x240 [iwlwifi]()
:Hardware name: 12943QG
:Modules linked in: binfmt_misc ppdev parport_pc lp parport tcp_lp hidp fuse lockd 8021q garp stp llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt rfcomm bnep ip6t_REJECT nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_conexant arc4 cdc_ncm usbnet mii cdc_wdm uvcvideo cdc_acm videodev media v4l2_compat_ioctl32 sparse_keymap joydev btusb bluetooth microcode iTCO_wdt iTCO_vendor_support i2c_i801 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iwlwifi mac80211 e1000e cfg80211 snd_timer snd_page_alloc thinkpad_acpi rfkill snd tpm_tis soundcore tpm tpm_bios uinput sunrpc sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/0 Not tainted 3.2.9-2.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8106e72f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106e78a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa02b9f85>] iwlagn_send_sta_key+0x115/0x240 [iwlwifi]
: [<ffffffffa02bb7fb>] iwl_update_tkip_key+0x7b/0x80 [iwlwifi]
: [<ffffffffa02b1332>] iwlagn_mac_update_tkip_key+0x12/0x20 [iwlwifi]
: [<ffffffffa023a537>] ieee80211_tkip_decrypt_data+0x1e7/0x410 [mac80211]
: [<ffffffffa02284f8>] ieee80211_crypto_tkip_decrypt+0xd8/0x120 [mac80211]
: [<ffffffffa0240d39>] ieee80211_rx_handlers+0x859/0x1fd0 [mac80211]
: [<ffffffffa0242616>] ieee80211_prepare_and_rx_handle+0x166/0xab0 [mac80211]
: [<ffffffff81127915>] ? put_page+0x45/0x50
: [<ffffffffa024328e>] ieee80211_rx+0x32e/0x9e0 [mac80211]
: [<ffffffffa02bc79d>] iwlagn_rx_reply_rx+0x2ad/0x4c0 [iwlwifi]
: [<ffffffff8101b953>] ? native_sched_clock+0x13/0x80
: [<ffffffffa02bd6c3>] iwl_rx_dispatch+0x143/0x160 [iwlwifi]
: [<ffffffffa02c8fc4>] iwl_irq_tasklet+0x364/0x870 [iwlwifi]
: [<ffffffff810756f8>] tasklet_action+0x78/0x140
: [<ffffffff81075d58>] __do_softirq+0xb8/0x230
: [<ffffffff815ee8ec>] call_softirq+0x1c/0x30
: [<ffffffff810162f5>] do_softirq+0x65/0xa0
: [<ffffffff8107616e>] irq_exit+0x9e/0xc0
: [<ffffffff815ef1a3>] do_IRQ+0x63/0xe0
: [<ffffffff815e4aee>] common_interrupt+0x6e/0x6e
: <EOI>  [<ffffffff81094189>] ? enqueue_hrtimer+0x39/0xc0
: [<ffffffff8131237d>] ? intel_idle+0xed/0x150
: [<ffffffff8131235f>] ? intel_idle+0xcf/0x150
: [<ffffffff81494fb1>] cpuidle_idle_call+0xc1/0x280
: [<ffffffff8101322a>] cpu_idle+0xca/0x120
: [<ffffffff815c199e>] rest_init+0x72/0x74
: [<ffffffff81aebbfe>] start_kernel+0x3ba/0x3c5
: [<ffffffff81aeb347>] x86_64_start_reservations+0x132/0x136
: [<ffffffff81aeb140>] ? early_idt_handlers+0x140/0x140
: [<ffffffff81aeb44d>] x86_64_start_kernel+0x102/0x111

smolt_data:
:
:
:General
:=================================
:UUID: ec12badf-c750-4868-9967-0a2c56d66828
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: C
:Platform: x86_64
:BogoMIPS: 5581.54
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7870
:System Swap: 8625
:Vendor: LENOVO
:System: 12943QG ThinkPad X1
:Form factor: Notebook
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:6058:8680) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7247:6058:8680) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8680) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8680) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8680) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8680) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8680) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8680) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8680) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8680) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8680) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8680) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8680) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8680) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8680) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8680) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8680) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 36827210 15990197 15621656 9216000 8688804 8688804
:
Comment 1 John W. Linville 2012-03-16 10:51:20 EDT
Not sure what to make of this (or bug 803850 or bug 803852)...

It looks like something has trashed your memory.  It is difficult to say what/where/when that happened.

Can you recreate this?  Or was it a "one time only" event?
Comment 2 Dave Jones 2012-03-16 12:07:06 EDT
was this after a hibernate ?
Comment 3 jan p. springer 2012-03-16 12:16:17 EDT
> Can you recreate this?  Or was it a "one time only" event?

up to now it's a one-time event.

> was this after a hibernate ?

not really.

iirc, i just left the room with the laptop running for a meeting and returned approx. an hour later to find it in console mode only and not responding to any key. the laptop was on line power and, per configuration, should not consider doing suspend/hibernate.
Comment 4 Stanislaw Gruszka 2012-03-20 07:53:04 EDT
Here is kernel build with fix for bug 804007,
http://koji.fedoraproject.org/koji/taskinfo?taskID=3912664
jan plese test kernel-debug from that build and check if it generate any more warnings.
Comment 5 Stanislaw Gruszka 2012-03-20 07:53:31 EDT
*** Bug 803852 has been marked as a duplicate of this bug. ***
Comment 6 Stanislaw Gruszka 2012-03-20 07:53:39 EDT
*** Bug 803850 has been marked as a duplicate of this bug. ***
Comment 7 jan p. springer 2012-03-20 11:27:06 EDT
hi stanislaw, my days of tinkering with systems are nearly over :) i can test if the kernel just came as a regular kernel update; if something happens i just run abrt. does that work for you?
Comment 8 Stanislaw Gruszka 2012-03-21 02:57:10 EDT
Yes. I'm closing this bug report with insufficient data, if there will be more the same ieee80211_* warnings after kernel update to kernel-3.3.0-4.fc16 or newer just reopen it.

Note You need to log in before you can comment on or make changes to this bug.